summaryrefslogtreecommitdiff
path: root/dev-cpp
diff options
context:
space:
mode:
authorAlfredo Tupone <tupone@gentoo.org>2026-08-31 09:23:38 +0200
committerAlfredo Tupone <tupone@gentoo.org>2026-08-31 09:23:52 +0200
commit8e8eee33f14b25b57280c1cae7cb312f644875aa (patch)
tree853cd8ed9a2c8bf63c03aa61772d2a49b020e25a /dev-cpp
parentedb591d9d4689be3a6e416579595e490d788805a (diff)
dev-cpp/xsimd: add 14.3.0
Signed-off-by: Alfredo Tupone <tupone@gentoo.org>
Diffstat (limited to 'dev-cpp')
-rw-r--r--dev-cpp/xsimd/Manifest1
-rw-r--r--dev-cpp/xsimd/xsimd-14.3.0.ebuild70
2 files changed, 71 insertions, 0 deletions
diff --git a/dev-cpp/xsimd/Manifest b/dev-cpp/xsimd/Manifest
index 480e7e0bd710..d5338dea2485 100644
--- a/dev-cpp/xsimd/Manifest
+++ b/dev-cpp/xsimd/Manifest
@@ -1,3 +1,4 @@
DIST xsimd-13.2.0.tar.gz 269287 BLAKE2B 596d348e32cd6cde6112d7dee304d44111db755eb5827c6c55a57c2803a65956ef4660784748c6f127c28c80c62689d9956363bbc49ef9d2edf5f1f8b428af55 SHA512 3825626547b0dd9b58f306bc89e9b3bc6dd778ad3811b7828e50fc16ae102574255b53f2b0714995de2bd6f9eb7b2c5d266a1a24fbfdf5420dc5e94d7dcbb522
DIST xsimd-14.0.0.tar.gz 306182 BLAKE2B 8f17b86916cb7f88d8ba5f67abe063a514aa6707ed465a1a654fdcc9a59080ac27e2ab7b525eb289bfacf83d93a5b2fbddde46a6d99e819fc1dfbe9b1e591e98 SHA512 f1d9bc50482a52a7b1891637c4e054eeafed0503b938ef07050fea8354e215b9483bafb17485b22fca8d715ddd7c79f03af352116487558d610d4e03d7dbcf4e
DIST xsimd-14.2.0.tar.gz 339961 BLAKE2B 7f8253f7a6531d01678a51ec21bd15224a52da1b97ae94f9ba94e6d33aa97664d4e58d087206654a9fff37ef0fc11494296e87bdcc74c4ac2f92f5f2cd6de18f SHA512 5a93511719b5460fa27248d7bbfda61a72fd32d67c9dbffee26686d57b54042957e9ed8a7b55923677122e04f0c2f4ba5f92b54028cfb2f4328d45f2858b3bd6
+DIST xsimd-14.3.0.tar.gz 379130 BLAKE2B b2930eb0e56e9539f80cf67c2796d4aff442910df32ebb351d4a5786888fd6186487eceb7a316903bded906bd87d4eaaea489539b9bf43a0550c531b7a25f7ad SHA512 a8ba9b60eb12fcd8af63af2ec0184cb44c4fd92774fd16ad370505c6b793727d4da917b72ee993174adb51f5fa6c0b0aee74bfb8b16db37ae201e916b9a6c91d
diff --git a/dev-cpp/xsimd/xsimd-14.3.0.ebuild b/dev-cpp/xsimd/xsimd-14.3.0.ebuild
new file mode 100644
index 000000000000..b31461a732a0
--- /dev/null
+++ b/dev-cpp/xsimd/xsimd-14.3.0.ebuild
@@ -0,0 +1,70 @@
+# Copyright 2023-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{11..15} )
+inherit cmake python-any-r1
+
+DESCRIPTION="C++ wrappers for SIMD intrinsics"
+HOMEPAGE="https://github.com/xtensor-stack/xsimd"
+SRC_URI="https://github.com/xtensor-stack/${PN}/archive/refs/tags/${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="doc test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+ doc? (
+ app-text/doxygen
+ $(python_gen_any_dep '
+ dev-python/breathe[${PYTHON_USEDEP}]
+ dev-python/sphinx[${PYTHON_USEDEP}]
+ dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]
+ ')
+ )
+ test? ( dev-cpp/doctest )"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-14.0.0-c++17.patch
+ "${FILESDIR}"/${PN}-14.2.0-no-march.patch
+)
+
+python_check_deps() {
+ python_has_version "dev-python/sphinx[${PYTHON_USEDEP}]" &&
+ python_has_version "dev-python/sphinx-rtd-theme[${PYTHON_USEDEP}]" &&
+ python_has_version "dev-python/breathe[${PYTHON_USEDEP}]"
+
+}
+
+pkg_setup() {
+ use doc && python-any-r1_pkg_setup
+}
+
+src_prepare() {
+ sed -i \
+ -e '/fPIC/d' \
+ test/CMakeLists.txt \
+ || die
+ cmake_src_prepare
+}
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_TESTS=$(usex test)
+ )
+ cmake_src_configure
+}
+
+src_compile() {
+ cmake_src_compile
+ use doc && emake -C docs html
+}
+
+src_install() {
+ use doc && HTML_DOCS=( docs/build/html/* )
+ cmake_src_install
+}